Bug 449134 - Okular is broken for FAX, and KFAX has been removed.
Summary: Okular is broken for FAX, and KFAX has been removed.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegraphics
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Lukáš Tinkl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-30 17:58 UTC by Steve Underwood
Modified: 2015-07-13 17:35 UTC (History)
5 users (show)

Fixed In Version: 4.0.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-11 04:37:32 UTC


Attachments (Terms of Use)

Description Steve Underwood 2008-05-30 17:58:37 UTC
in FC9, Okular's handling of TIFF files is broken. It ignores the resolution
information in the file, and displays all pixels as if they are square. In FAX
files they are not.

KFAX appears to have been dropped from the KDE graphics package, on the basis
that Okular can do the job. However, the resolution issue makes Okular pretty
much useless for FAX display. As far as I can tell, this is the only problem
with Okular and FAXes, but its a killer.

I believe okular's resolution handling needs fixing, and in the meantime KFAX
needs to be restored to the kdegraphics package.

Comment 1 Rex Dieter 2008-05-30 18:02:25 UTC
Good points all, but better made to those directly responsible, upstream @
bugs.kde.org.

Comment 2 Steven M. Parrish 2008-05-31 00:37:39 UTC
Please report upstream at bugs.kde.org and add upstream info to this report.  We
will monitor upstream for resolution.

Comment 3 Steve Underwood 2008-05-31 04:41:17 UTC
I reported it at bugs.kde.org

Is a short term workaround possible, by restoring KFAX, like the earlier
versions of Fedora had?

Comment 4 Kevin Kofler 2008-05-31 05:05:02 UTC
Kfax has been dropped from upstream kdegraphics. There's a version in 
extragear, but I don't know how well that works.

Comment 5 Fedora Update System 2008-05-31 13:35:54 UTC
kdegraphics-4.0.4-2.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-06-03 07:34:08 UTC
kdegraphics-4.0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4908

Comment 7 Fedora Update System 2008-06-05 01:31:36 UTC
kdenetwork-4.0.5-2.fc9,kdebase-runtime-4.0.5-1.fc9,kdemultimedia-4.0.5-1.fc9,kdebase-workspace-4.0.5-1.fc9,kdeadmin-4.0.5-1.fc9,kdeutils-4.0.5-1.fc9,kdesdk-4.0.5-2.fc9,kdelibs-4.0.5-1.fc9,kdegames-4.0.5-1.fc9,kdeaccessibility-4.0.5-1.fc9,kdepimlibs-4.0.5-1.fc9,kde-l10n-4.0.5-1.fc9,kdeedu-4.0.5-1.fc9,kdebase-4.0.5-2.fc9,kdeartwork-4.0.5-2.fc9,qt-4.3.5-1.fc9,kdebindings-4.0.5-2.fc9,kdetoys-4.0.5-1.fc9,kdegraphics-4.0.5-1.fc9 has been submitted as an update for Fedora 9

Comment 8 Fedora Update System 2008-06-11 04:37:22 UTC
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Steve Underwood 2008-06-14 05:18:08 UTC
The latest FC9 update seems to have solved my original problem. So far, I
haven't found any issues displaying FAXes from TIFF files with the latest
okular. It looks like kfax is truly redundant now. Thanks for the good work.

Comment 10 Fedora Update System 2008-07-26 05:58:45 UTC
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.